import React from 'react';
import propTypes from 'prop-types';

import { AlertProps, KindMap } from './interface';

const prefixCls = 'hyyar-alert';

const kinds: KindMap = {
  info: '#5352ED',
  positive: '#2ED573',
  negative: '#FF4757',
  warning: '#FFA502'
};

const Alert: React.FC<AlertProps> = ({ children, kind = 'info', ...rest }) => (
  <div
    className={prefixCls}
    style={{
      background: kinds[kind]
    }}
    {...rest}
  >
    {children}
  </div>
);

Alert.propTypes = {
  kind: propTypes.oneOf(['info', 'positive', 'negative', 'warning'])
};

export default Alert;
